Skip to content
HaneDOCS日本語

API reference

Approvals & tasks

Tasks decided by people and the record of each decision.

Generated from the public API contract (OpenAPI). Descriptions in the contract are written in Japanese.

GET /v1/approvals/tasks
GET /v1/approvals/assignment-rules
GET /v1/approvals/decider-policies
GET /v1/approvals/tasks/{id}
POST /v1/approvals/tasks/{id}/complete
POST /v1/approvals/tasks/{id}/claim
POST /v1/approvals/tasks/{id}/release

GET/v1/approvals/tasks

Name In Type Required Description
status query open | completed | cancelled
mine query boolean 自分か自分のグループの Task だけ
case_id query string
limit query integer
  • 200 — object: Task
  • default — Problem: RFC 9457 Problem Details

GET/v1/approvals/assignment-rules

approvals:tasks.read が必要。有効なバージョンの割り当ての規則(AssignmentRule)

  • 200 — object: 割り当ての規則
  • default — Problem: RFC 9457 Problem Details

GET/v1/approvals/decider-policies

approvals:tasks.read が必要。有効なバージョンの DeciderPolicy

  • 200 — object: DeciderPolicy
  • default — Problem: RFC 9457 Problem Details

GET/v1/approvals/tasks/{id}

Name In Type Required Description
id path string yes
  • 200 — Task: Task
  • default — Problem: RFC 9457 Problem Details

POST/v1/approvals/tasks/{id}/complete

Name In Type Required Description
id path string yes
If-Match header string yes 取得したときの ETag(version)
Idempotency-Key header string 副作用を伴う POST ではサーバーが必須にする。SDK は無ければ自動で付けるので、型では省略できる

application/json

Name Type Required Description
outcome string yes
comment string
action_digest string 承認の Task で、決めた人が画面で見た承認の対象(ActionRequest)の digest。いまの内容と違えば 409 で、承認も却下も記録しない
  • 200 — Task: Task
  • default — Problem: RFC 9457 Problem Details

POST/v1/approvals/tasks/{id}/claim

Name In Type Required Description
id path string yes
If-Match header string yes 取得したときの ETag(version)
Idempotency-Key header string 副作用を伴う POST ではサーバーが必須にする。SDK は無ければ自動で付けるので、型では省略できる
  • 200 — Task: Task
  • default — Problem: RFC 9457 Problem Details

POST/v1/approvals/tasks/{id}/release

Name In Type Required Description
id path string yes
If-Match header string yes 取得したときの ETag(version)
Idempotency-Key header string 副作用を伴う POST ではサーバーが必須にする。SDK は無ければ自動で付けるので、型では省略できる
  • 200 — Task: Task
  • default — Problem: RFC 9457 Problem Details